Subject: RE: close cygwin window - bash doesnt save history
From: Barry Buchbinder <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 10 Jul 2002 06:29:52 -0700 (PDT)

Solution: Don't hit the 'X' button.  Don't get out of
bash by turn off the power, either.  Use "logout" or
"exit".

Bash obviously does not save history after each
command; it saves history when it shuts down.  Hitting
the 'X' button kills it without going through the
normal shut down sequence.

- Barry

-----Original Message-----
From: Shane Brooks [mailto:[email-masked]]
Sent: Wednesday, July 10, 2002 7:51 am
To: [email-masked]
Subject: close cygwin window - bash doesnt save
history

I've been using cygwin for a while now on Windows 2000
and now Windows 
XP - I have updated to the latest version of Cygwin.

If I type "logout", the BASH history is saved and the
window closes.

If I close the cygwin window by hitting the 'X' button
in the windows titlebar 
the Bash History is not saved though I wish it was. -
is there a solution to 
this minor annoyance?

Shane

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/